import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
import { memo, useRef, useState } from 'react';
import { useComponent, antdMobile } from '@brushes/qj-simulate-component';
// @ts-ignore
// import {options} from './option'
import options from './option';
const { Form, Input, Radio, Button, Cascader } = antdMobile;
const AddressDetailJsx = () => {
    const [form] = Form.useForm();
    const { View } = useComponent();
    const [visible, setVisible] = useState(false);
    const [value, setValue] = useState([]);
    const checkMobile = (_, value) => {
        return new Promise((resolve, reject) => {
            if (!/^1[3456789]\d{9}$/.test(value) && value) {
                reject('请输入正确手机号');
            }
            else {
                resolve('');
            }
        });
    };
    const config = useRef([
        {
            type: 'input',
            props: {
                onlyShowClearWhenFocus: true,
                placeholder: '请填写收货人姓名'
            },
            label: '收货人',
            name: 'name',
            rules: [{ required: true, message: '收货人姓名不能为空' }]
        },
        {
            type: 'input',
            props: {
                type: 'number',
                onlyShowClearWhenFocus: true,
                placeholder: '请填写收货人手机号码'
            },
            label: '手机号码',
            name: 'phone',
            rules: [{ required: true, message: '收货人手机号码不能为空' }, { validator: checkMobile }]
        },
        {
            type: 'cascader',
            props: {
                options
            },
            label: '所在地区',
            name: 'area'
            // rules: [{required: true, message: '收货人所在地区不能为空'}]
        },
        {
            type: 'input',
            props: {
                onlyShowClearWhenFocus: true,
                placeholder: '街道/楼牌号等'
            },
            label: '详细地址',
            name: 'address',
            rules: [{ required: true, message: '收货人详细地址不能为空' }]
        },
        {
            type: 'input',
            props: {
                type: 'number',
                onlyShowClearWhenFocus: true,
                placeholder: '请填写邮政编码'
            },
            label: '邮政编码',
            name: 'zipCode'
        },
        {
            type: 'radio',
            props: {
                value: 1
            },
            label: '设置默认地址',
            name: 'default'
        }
    ]);
    const handle = (a) => {
        console.log(88, a);
    };
    const onValuesChange = (a) => {
        console.log(91, a);
    };
    return (_jsx(View, Object.assign({ className: 'addressDetail' }, { children: _jsx(Form, Object.assign({ form: form, layout: "horizontal", mode: "card", onValuesChange: onValuesChange, onFinish: handle, footer: _jsx(Button, Object.assign({ block: true, type: "submit", color: "primary", size: "large" }, { children: "\u63D0\u4EA4" })) }, { children: config.current.map((item, index) => {
                return (_jsx(Form.Item, Object.assign({ label: item.label, name: item.name, rules: item.rules, trigger: item.type === 'cascader' ? 'onConfirm' : 'onChange', onClick: (a, b) => {
                        if (item.type === 'cascader') {
                            setVisible(true);
                        }
                    } }, { children: (() => {
                        if (item.type === 'input') {
                            return _jsx(Input, Object.assign({}, item.props));
                        }
                        else if (item.type === 'radio') {
                            return _jsx(Radio, Object.assign({}, item.props));
                        }
                        else if (item.type === 'cascader') {
                            return (_jsx(_Fragment, { children: _jsx(Cascader, Object.assign({ options: item.props.options, visible: visible, value: value, onConfirm: (value) => {
                                        form.setFields([{ name: 'area', value }]);
                                        setValue(value);
                                    }, onClose: () => {
                                        setVisible(false);
                                    } }, { children: (items) => {
                                        if (items.every((item) => item === null)) {
                                            return '';
                                        }
                                        else {
                                            return items.map((item) => { var _a; return (_a = item === null || item === void 0 ? void 0 : item.label) !== null && _a !== void 0 ? _a : ''; }).join('-');
                                        }
                                    } })) }));
                        }
                    })() }), index));
            }) })) })));
};
export const AddressDetail = memo(AddressDetailJsx);
