var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useEffect, useState, memo, useRef } from 'react';
import { useComponent } from '@brushes/qj-simulate-component';
import { querySkuNotOnShelf } from '@brushes/api';
import { _ } from '@brushes/tools';
// import { QjIcon } from '@brushes/share-resource';
import classNames from 'classnames';
import { QjMobileIcon } from '../../common/icon';
const { isEqual, isEmpty } = _;
const GoodsJsx = ({ defaultValue = [], classCode = '', margin, circular, cell, gap = 10, goods = [], markedPrice, paddingTop, paddingBottom, paddingLeft, paddingRight }) => {
    const [list, setList] = useState(defaultValue);
    const preGoods = useRef();
    const { View, Text } = useComponent();
    useEffect(() => {
        if (isEqual(preGoods.current, goods))
            return;
        preGoods.current = goods;
        if (isEmpty(goods)) {
            setList(defaultValue);
            return;
        }
        (() => __awaiter(void 0, void 0, void 0, function* () {
            const arr = [];
            for (let i of goods) {
                arr.push(querySkuNotOnShelf({
                    goodsCode: i
                }));
            }
            try {
                const data = yield Promise.all(arr);
                let result = [];
                data.forEach((item) => {
                    if (item.rows) {
                        result = result.concat(item.rows);
                    }
                });
                setList(result);
            }
            catch (err) {
                console.log(59, err);
                setList(defaultValue);
            }
        }))();
        return () => {
            console.log(54, goods, preGoods.current);
        };
    }, [goods]);
    return (_jsx(View, Object.assign({ style: { paddingTop, paddingBottom } }, { children: _jsx(View, Object.assign({ className: classNames({ [`goods-${classCode}`]: true }), style: {
                display: 'grid',
                gap,
                marginBottom: margin,
                gridTemplateColumns: `repeat(${cell}, 1fr)`,
                paddingLeft,
                paddingRight
            } }, { children: list.map((item, index) => (_jsxs(View, Object.assign({ style: {
                    overflow: 'hidden',
                    borderRadius: circular === 2 ? 0 : '8px'
                }, className: 'goods' }, { children: [_jsx(View, { className: `goods-img`, style: { backgroundImage: `url(${item.dataPic})` } }), _jsxs(View, Object.assign({ className: 'space' }, { children: [_jsx(View, Object.assign({ className: 'titleType' }, { children: item.goodsName })), _jsx(View, Object.assign({ className: 'subTitle' }, { children: item.brandName })), _jsxs(View, Object.assign({ className: 'price' }, { children: [_jsx(Text, Object.assign({ className: 'subPrice' }, { children: "\u00A5" })), item.pricesetNprice, markedPrice === 1 && (_jsxs(Text, Object.assign({ className: 'markedPrice' }, { children: [_jsx(Text, Object.assign({ className: 'subPrice' }, { children: "\u00A5" })), item.pricesetMakeprice] })))] })), _jsx(View, Object.assign({ className: 'anticon' }, { children: _jsx(QjMobileIcon, { style: { fontSize: 30, color: '#f00' }, value: 'cart' }) }))] }))] }), index))) })) })));
};
export const Goods = memo(GoodsJsx);
