var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { memo, useEffect, useState } from 'react';
import { useComponent, antdMobile, navigatorImpl } from '@brushes/qj-simulate-component';
import { ClassifyFloor } from './components/classifyFloor';
// import {SEARCH} from "../../static";
import { getEnv } from '@brushes/api';
import { queryGoodsClassTree } from '@brushes/api';
import { QjMobileIcon } from '../../common/icon';
import { _ } from '@brushes/tools';
import { routerMap } from '../../routerMap';
const { get } = _;
const { SideBar } = antdMobile;
const GoodsClassifyJsx = () => {
    const { View, Text } = useComponent();
    const [activeKey, setActiveKey] = useState('');
    const [navList, setNavList] = useState([]);
    const flag = getEnv();
    useEffect(() => {
        getData();
    }, []);
    const getData = () => __awaiter(void 0, void 0, void 0, function* () {
        try {
            let commits = yield queryGoodsClassTree();
            setNavList(commits || []);
            const code = get(commits, 'commits[0].goodsClassCode');
            setActiveKey(code);
        }
        catch (err) {
            console.log(err);
        }
    });
    return (_jsxs(_Fragment, { children: [_jsx(View, Object.assign({ className: 'goods-classify' }, { children: _jsxs(View, Object.assign({ className: 'goods-classify-search', onClick: () => navigatorImpl(routerMap.search) }, { children: [_jsx(QjMobileIcon, { value: "fenxiang" }), _jsx(Text, { children: "\u641C\u7D22\u5546\u54C1" })] })) })), _jsxs(View, Object.assign({ className: 'goodsClassifyContainer', style: { height: flag ? 'calc(100vh - 51px)' : '600px' } }, { children: [_jsx(View, Object.assign({ className: 'side' }, { children: _jsx(SideBar, Object.assign({ activeKey: activeKey, onChange: setActiveKey, style: {
                                '--width': '88px'
                            } }, { children: navList.map((item) => (_jsx(SideBar.Item, { title: item.goodsClassName }, item.goodsClassCode))) })) })), _jsx(View, Object.assign({ className: 'main' }, { children: _jsx(ClassifyFloor, { navList: navList, activeKey: activeKey }) }))] }))] }));
};
export const GoodsClassify = memo(GoodsClassifyJsx);
