var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { SEARCH } from '../../../static';
import { useComponent } from '@brushes/qj-simulate-component';
import { checkCollectExit, saveCollect, deleteCollectByCode } from '@brushes/api';
import { _ } from '@brushes/tools';
import { useEffect } from 'react';
const { isEmpty } = _;
const GoodsDetailCollection = ({ goods, checkCollectionObj, setCheckCollectionObj }) => {
    const { Text, View } = useComponent();
    useEffect(() => {
        checkCollection();
    }, []);
    const checkCollection = () => __awaiter(void 0, void 0, void 0, function* () {
        const checkCollectionParams = {
            collectType: 0,
            collectOpcode: goods.rsSkuDomainList[0].skuCode || ''
        };
        const result = yield checkCollectExit(checkCollectionParams);
        setCheckCollectionObj(result);
    });
    const handleSaveCollect = () => __awaiter(void 0, void 0, void 0, function* () {
        const saveCollectParmas = {
            collectType: 0,
            collectOpcode: goods.rsSkuDomainList[0].skuCode || '',
            collectOppic: goods.dataPic,
            collectOpcont: goods.goodsName,
            collectOpnum: goods.pricesetNprice,
            goodsOrigin: 0
        };
        yield saveCollect(saveCollectParmas);
    });
    const handleDeleteCollectByCode = () => __awaiter(void 0, void 0, void 0, function* () {
        const deleteCollectByCodeParams = {
            collectType: 0,
            collectOpcode: goods.rsSkuDomainList[0].skuCode || ''
        };
        yield deleteCollectByCode(deleteCollectByCodeParams);
    });
    const handleCollect = () => {
        console.log(123);
        if (isEmpty(checkCollectionObj.dataObj)) {
            handleSaveCollect();
        }
        else {
            handleDeleteCollectByCode();
        }
        checkCollection();
    };
    return (_jsxs(View, Object.assign({ onClick: handleCollect }, { children: [_jsx("img", { src: SEARCH, alt: "", className: 'icon' }), _jsx(Text, Object.assign({ className: 'txt' }, { children: isEmpty(checkCollectionObj.dataObj) ? '收藏' : '已收藏' }))] })));
};
export default GoodsDetailCollection;
