var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { useEffect, useState } from 'react';
import { useComponent } from '@brushes/qj-simulate-component';
import { getResourceGoodsInfoBySkuCode, queryPromotionListByGoodsCode } from '@brushes/api';
import { _ } from '@brushes/tools';
const { isEmpty, get } = _;
export function useGoodsDetailmpl(skuCode) {
    const [goods, setGoods] = useState({});
    const { View, Text, Skeleton } = useComponent();
    const [promotionArr, setPromotionArr] = useState([]);
    const [checkCollectionObj, setCheckCollectionObj] = useState({});
    const [sliderArr, setSliderArr] = useState([]);
    const [tabActive, setTabActive] = useState(1);
    const [popupVisible, setPopupVisible] = useState(false);
    useEffect(() => {
        getGoodsDetailData();
    }, []);
    const getGoodsDetailData = () => __awaiter(this, void 0, void 0, function* () {
        try {
            const goodsDetailResult = yield getResourceGoodsInfoBySkuCode({
                skuCode
            });
            const promotionListParams = {
                skuNo: goodsDetailResult.skuNo || '',
                skuCode: goodsDetailResult.rsSkuDomainList[0].skuCode || '',
                classtreeCode: goodsDetailResult.classtreeCode || '',
                brandCode: goodsDetailResult.brandCode || '',
                pntreeCode: goodsDetailResult.pntreeCode || '',
                memberCode: goodsDetailResult.memberCode || ''
            };
            console.log(22, goodsDetailResult.rsGoodsFileDomainList);
            const arr = get(goodsDetailResult, 'rsGoodsFileDomainList', []);
            if (isEmpty(arr))
                return;
            const sliderData = arr.map((item) => {
                return {
                    imgUrl: item.goodsFileUrl,
                    link: ''
                };
            });
            setSliderArr(sliderData);
            setGoods(goodsDetailResult);
            getPromotionData(promotionListParams);
        }
        catch (err) {
            console.log(59, err);
        }
    });
    const getPromotionData = (params) => __awaiter(this, void 0, void 0, function* () {
        const result = yield queryPromotionListByGoodsCode(params);
        setPromotionArr(result);
    });
    return {
        View,
        Text,
        Skeleton,
        goods,
        promotionArr,
        checkCollectionObj,
        setCheckCollectionObj,
        sliderArr,
        tabActive,
        setTabActive,
        popupVisible,
        setPopupVisible
    };
}
