import { jsx as _jsx } from "react/jsx-runtime";
import { memo, useEffect, useState } from 'react';
import { antdMobile } from '@brushes/qj-simulate-component';
import { _ } from '@brushes/tools';
import { Goods } from '../Goods';
const { JumboTabs } = antdMobile;
const { isUndefined, isEmpty } = _;
const GoodsGroupJsx = ({ defaultValue = [], type, selectGoodsGroup = [], marginTop, marginBottom, borderRadius }) => {
    const [list, setList] = useState(defaultValue);
    useEffect(() => {
        const computedArr = selectGoodsGroup
            .filter((item) => !isUndefined(item))
            .filter((item) => !Object.values(item).every((citem) => isUndefined(citem)));
        let arr = defaultValue;
        if (!isEmpty(computedArr)) {
            arr = computedArr;
        }
        setList(arr);
    }, [selectGoodsGroup]);
    return (_jsx(JumboTabs, Object.assign({ style: {
            marginTop: marginTop + 'px',
            marginBottom: marginBottom + 'px'
        } }, { children: list.map((item, index) => {
            return (_jsx(JumboTabs.Tab, Object.assign({ title: item.title, description: item.subTitle }, { children: _jsx(Goods, { defaultValue: item.defaultValue, cell: 2, goods: item.goodsList, classCode: 'two', circular: borderRadius }) }), index));
        }) })));
};
export const GoodsGroup = memo(GoodsGroupJsx);
