import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useState } from 'react';
import { useComponent } from '@brushes/qj-simulate-component';
import { QjMobileIcon } from '../../../common/icon';
const dataConfig = [
    {
        name: '默认',
        sortField: 'pricesetNprice'
    },
    {
        name: '新品',
        sortField: ''
    },
    {
        name: '销量',
        sortField: 'goodsSalesvolume',
        order: 'asc'
    },
    {
        name: '价格',
        sortField: 'pricesetNprice',
        order: 'asc'
    }
];
export const Filter = ({ setParams }) => {
    const { View } = useComponent();
    const [active, setActive] = useState(0);
    const [config, setConfig] = useState(dataConfig);
    const handleSort = (sortField, index, order) => {
        setActive(index);
        if (order) {
            setConfig((prevState) => {
                prevState[index].order = order === 'asc' ? 'desc' : 'asc';
                return [...prevState];
            });
        }
        setParams({
            sortField,
            order
        });
    };
    return (_jsx(View, Object.assign({ className: 'sortWrap' }, { children: config.map(({ order, sortField, name }, index) => (_jsxs(View, Object.assign({ className: `sortItem ${active === index ? 'active' : ''}`, onClick: () => handleSort(sortField, index, order) }, { children: [name, order && (_jsx(QjMobileIcon, { style: { color: active === index ? '#f00' : '#444', fontSize: 20 }, value: order === 'desc' ? 'jiangxu' : 'shengxu' }))] }), index))) })));
};
