var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { useEffect, useRef, useState } from 'react';
import { find } from '@brushes/api';
import { _, useImmutableCallback } from '@brushes/tools';
const { isEmpty } = _;
export function useGoodsList(classtreeCode, searchParam, filterParmas) {
    const isCanScroll = useRef(true);
    const num = useRef(0);
    const [list, setList] = useState([]);
    const [loading, setLoading] = useState(false);
    useEffect(() => {
        resetImpl();
    }, [filterParmas]);
    const resetImpl = useImmutableCallback(() => {
        num.current = 0;
        isCanScroll.current = true;
        setList([]);
        getData(filterParmas);
    });
    const getData = useImmutableCallback(({ sortField = 'pricesetNprice', order = '' }) => __awaiter(this, void 0, void 0, function* () {
        if (!isCanScroll.current)
            return;
        ++num.current;
        setLoading(true);
        const response = yield find({
            distinctField: 'goodsNo',
            sortField,
            order: order,
            goodsType: '00,50',
            page: num.current,
            rows: 10,
            searchParam,
            classtreeCode
        });
        if (isEmpty(response.list)) {
            isCanScroll.current = false;
        }
        setLoading(false);
        setList((prevState) => prevState.concat(response.list));
    }));
    return {
        loading,
        getData,
        list
    };
}
