import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { memo } from 'react';
import { useComponent } from '@brushes/qj-simulate-component';
import { SEARCH } from '../../static';
const SearchJsx = ({ value, iconShow, fontColor, backgroundColor, borderRadius, paddingTop, paddingBottom, paddingLeft, paddingRight }) => {
    const { View, Image } = useComponent();
    return (_jsx(View, Object.assign({ style: {
            paddingTop,
            paddingBottom,
            paddingLeft,
            paddingRight
        } }, { children: _jsxs(View, Object.assign({ className: 'components-search', style: {
                backgroundColor,
                borderRadius: borderRadius + 'px',
                height: '32px',
                lineHeight: '32px',
                width: '100%',
                display: 'inline-block',
                textAlign: 'center'
            } }, { children: [_jsx(Image, { src: SEARCH, alt: "", mode: 'fill', style: {
                        height: '16px',
                        width: '16px',
                        display: iconShow ? 'inline-block' : 'none',
                        verticalAlign: 'top',
                        marginTop: '8px',
                        marginRight: '10px'
                    } }), _jsx(View, Object.assign({ className: 'txt', style: {
                        color: fontColor,
                        display: 'inline-block',
                        fontSize: '14px'
                    } }, { children: value }))] })) })));
};
export const Search = memo(SearchJsx);
